#!/usr/bin/env bash

_EXECJAVA=java

PRODUCT="FlashphonerWebCallServerOAM"
OAM_APP_HOME="/usr/local/$PRODUCT"
OAM_CORE_CONF="$OAM_APP_HOME/conf/wcsoam-core.properties"
GC_SUFFIX=`date +%Y-%m-%d_%H-%M`".log"
OAM_NON_ROOT=false

export OAM_APP_HOME PRODUCT GC_SUFFIX

while read -r line || [[ -n "$line" ]]; do
    if [[ "$line" == "### SERVER OPTIONS ###" ]]; then
      while read prop; do
	if [[ $prop == -* ]]; then
    	    OAM_SERVER_OPTS+="$prop "
	elif [[ "$prop" == "### JVM OPTIONS ###" ]]; then
	    break
	fi
      done
    else
        if [[ $line == -* ]]; then
	    OAM_JAVA_OPTS+="$line "
	fi
    fi
done < <(envsubst < $OAM_CORE_CONF)

OAM_JAVA_OPTS=${OAM_JAVA_OPTS%?}
OAM_SERVER_OPTS=${OAM_SERVER_OPTS%?}

export _EXECJAVA OAM_JAVA_OPTS OAM_SERVER_OPTS

#Prevent huge RES memory utilization on multicore CPUs (20 and more cores)
export MALLOC_ARENA_MAX=4
